#!/usr/bin/env gnuplot -c
# == DEFINICIONS ==
outputfile = '../output/last' # Nom de la imatge resultant (sense extensió)
datafile = '../data/last.dat' # Nom del fitxer de dades que es vol usar

# == CONFIGURACIÓ DE L'OUTPUT PEL LATEX ==
set terminal cairolatex size 11cm, 8.5cm font ",10"
set output outputfile.'.tex'

# == CONFIGURACIÓ DEL PLOT ==
set xlabel '$P_\text{interna} \, (\si{\pascal})$'
set ylabel '$K \, (\si{\newton\per\meter})$'

# Opcions per la llegenda:
set key above
set key spacing 1.5
set key font ",8.5"

set yrange [0:]
set logscale x

plot datafile u 1:3 t "Dades experimentals"

# == CONFIGURACIÓ DE L'OUTPUT PER SVG ==
# Això ho uso per generar també una imatge de previsualització que puc carregar
# a l'ordinador per veure més o menys com a sortit el plot sense haver
# d'inserir-ho al LaTeX per veure-ho.
set terminal svg dashed size 600, 600 font "Computer Modern,Tinos,Helvetica,15"
set output outputfile.'.svg'
replot
